admin
Block Tenant
Block or unblock a tenant from accessing services.
Use when:
- Tenant exceeds quota
- Payment issues
- Terms of service violations
- Manual suspension needed
Block services:
calls: Block making/receiving callsagents: Block creating new agentssip: Block SIP/phone featuresrecordings: Block recording accessanalytics: Block analytics access
POST
/
admin
/
tenants
/
{tenant_id}
/
block
Block Tenant
curl --request POST \
--url https://api.example.com/admin/tenants/{tenant_id}/block \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blocked": true,
"reason": "<string>",
"block_services": [
"calls",
"agents"
]
}
'import requests
url = "https://api.example.com/admin/tenants/{tenant_id}/block"
payload = {
"blocked": True,
"reason": "<string>",
"block_services": ["calls", "agents"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({blocked: true, reason: '<string>', block_services: ['calls', 'agents']})
};
fetch('https://api.example.com/admin/tenants/{tenant_id}/block', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Block Tenant
